tvbrowser.core.icontheme

## Class InfoIconTheme

- java.lang.Object
- - tvbrowser.core.icontheme.InfoIconTheme

- All Implemented Interfaces:
    java.lang.Comparable<InfoIconTheme>

      public class InfoIconTheme
      extends java.lang.Object
      implements java.lang.Comparable<InfoIconTheme>

  A class that stores the info icons for the program panels.

  Author:
    René Mach

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `INFO_16_9`
    `static byte` | `INFO_4_3`
    `static byte` | `INFO_ARTS`
    `static byte` | `INFO_AUDIO_DESCRIPTION`
    `static byte` | `INFO_BLACK_AND_WHITE`
    `static byte` | `INFO_CHILDREN`
    `static byte` | `INFO_DOCU`
    `static byte` | `INFO_DOLBY_DIGITAL_5_1`
    `static byte` | `INFO_DOLBY_SOURROUND`
    `static byte` | `INFO_HAS_PICTURE`
    `static byte` | `INFO_HD`
    `static byte` | `INFO_INFOTAINMENT`
    `static byte` | `INFO_LIVE`
    `static byte` | `INFO_MONO`
    `static byte` | `INFO_MOVIE`
    `static byte` | `INFO_NEW`
    `static byte` | `INFO_NEWS`
    `static byte` | `INFO_ORIGINAL_WITH_SUBTITLE`
    `static byte` | `INFO_OTHERS`
    `static byte` | `INFO_SERIES`
    `static byte` | `INFO_SHOW`
    `static byte` | `INFO_SIGN_LANGUGAGE`
    `static byte` | `INFO_SPORTS`
    `static byte` | `INFO_STEREO`
    `static byte` | `INFO_SUBTITLE_FOR_AURALLY_HANDICAPPED`
    `static byte` | `INFO_TWO_CHANNEL_TONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoIconTheme(java.io.File dirOrZip)` Creates an instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(InfoIconTheme o)`
    `java.lang.String` | `getID()` Gets the ID of this info icon theme.
    `javax.swing.ImageIcon` | `getInfoIcon(byte type)` Gets the icon for the given type.
    `javax.swing.Icon[]` | `getInfoIcons()`
    `java.lang.String[]` | `getInfoIconURLs()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INFO_16_9

          public static byte INFO_16_9

    - #### INFO_ARTS

          public static byte INFO_ARTS

    - #### INFO_AUDIO_DESCRIPTION

          public static byte INFO_AUDIO_DESCRIPTION

    - #### INFO_BLACK_AND_WHITE

          public static byte INFO_BLACK_AND_WHITE

    - #### INFO_CHILDREN

          public static byte INFO_CHILDREN

    - #### INFO_DOCU

          public static byte INFO_DOCU

    - #### INFO_DOLBY_DIGITAL_5_1

          public static byte INFO_DOLBY_DIGITAL_5_1

    - #### INFO_DOLBY_SOURROUND

          public static byte INFO_DOLBY_SOURROUND

    - #### INFO_HAS_PICTURE

          public static byte INFO_HAS_PICTURE

    - #### INFO_HD

          public static byte INFO_HD

    - #### INFO_INFOTAINMENT

          public static byte INFO_INFOTAINMENT

    - #### INFO_LIVE

          public static byte INFO_LIVE

    - #### INFO_MONO

          public static byte INFO_MONO

    - #### INFO_MOVIE

          public static byte INFO_MOVIE

    - #### INFO_NEW

          public static byte INFO_NEW

    - #### INFO_NEWS

          public static byte INFO_NEWS

    - #### INFO_ORIGINAL_WITH_SUBTITLE

          public static byte INFO_ORIGINAL_WITH_SUBTITLE

    - #### INFO_SERIES

          public static byte INFO_SERIES

    - #### INFO_SHOW

          public static byte INFO_SHOW

    - #### INFO_SIGN_LANGUGAGE

          public static byte INFO_SIGN_LANGUGAGE

    - #### INFO_SPORTS

          public static byte INFO_SPORTS

    - #### INFO_STEREO

          public static byte INFO_STEREO

    - #### INFO_SUBTITLE_FOR_AURALLY_HANDICAPPED

          public static byte INFO_SUBTITLE_FOR_AURALLY_HANDICAPPED

    - #### INFO_TWO_CHANNEL_TONE

          public static byte INFO_TWO_CHANNEL_TONE

    - #### INFO_4_3

          public static byte INFO_4_3

    - #### INFO_OTHERS

          public static byte INFO_OTHERS

  - ### Constructor Detail

    - #### InfoIconTheme

          public InfoIconTheme(java.io.File dirOrZip)

      Creates an instance of this class.

      Parameters:
        `dirOrZip` - The directory with the info icons or a zip file with them.

  - ### Method Detail

    - #### getInfoIcon

          public javax.swing.ImageIcon getInfoIcon(byte type)

      Gets the icon for the given type.

      Parameters:
        `type` - The type of the icon to get.
      Returns:
        The icon for the type or `null` if no icon for given type available.

    - #### getID

          public java.lang.String getID()

      Gets the ID of this info icon theme.

      Returns:
        The ID of this info icon theme.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getInfoIcons

          public javax.swing.Icon[] getInfoIcons()

    - #### getInfoIconURLs

          public java.lang.String[] getInfoIconURLs()

    - #### compareTo

          public int compareTo(InfoIconTheme o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<InfoIconTheme>`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)